function PlotBSSResults(res,figtitle)
%PlotBSSResults: plot BSS objective function and evaluation indices
%   usage:  [] = PlotBSSResults(res,figtitle)


figtitle = [figtitle,': ',res.algname];
niter = length(res.cost);
NbSrc = size(res.SDR,2);
str = cell(1,NbSrc);
for src=1:NbSrc
    str{src}=['src ',num2str(src)];
end

fig = figure('name',figtitle,'position',[100 100 900 400]);
tg_fig = uitabgroup(fig);

thistab = uitab(tg_fig,'title','Obj. function');
axes('Parent',thistab); % somewhere to plot
semilogy(res.cost); grid on
title([num2str(niter),' iterations, final value: ',...
    sprintf('%e',res.cost(niter))]);

thistab = uitab(tg_fig,'title','Amari Ind.'); 
axes('Parent',thistab); % somewhere to plot
semilogy(res.amari); grid on;
title(['Final: ',sprintf('%e',res.amari(niter)),'; Min: ',...
    sprintf('%e',min(res.amari))]);

thistab = uitab(tg_fig,'title','SDR'); 
axes('Parent',thistab); % somewhere to plot
plot(res.SDR); grid on; legend(str)

thistab = uitab(tg_fig,'title','SIR');
axes('Parent',thistab); % somewhere to plot
plot(res.SIR); grid on; legend(str)

thistab = uitab(tg_fig,'title','SAR');
axes('Parent',thistab); % somewhere to plot
plot(res.SAR); grid on; legend(str)

end