function X = genereObs(A,S,sigma)

% function X = genereObs(A,S,sigma)
% Generate synthetic data following the linear model X=AS+B with B an
% additive white gaussian noise of variance sigma^2
%
% INPUTS: 
%           A: mixing matrix
%           S: pure spectra (sources)
%           sigma: noise standard deviation
% OUTPUTS:
%           X: observations

[~,K,L]=size(S);
S=reshape(S,size(S,1),K*L);
X=A*S;
X=reshape(X,size(X,1),K,L);

if sigma~=0
    X=X+sigma*randn(size(X));
end