function [M,norm2_rows] = normalise_rows_L2(M)
% normalise_rows_L2: normalise matrix rows using l2 norm. That is,
%    divide each row by its L2 norm.
% Usage:    [M,norm2_rows] = normalise_rows_L2(M)
% Input:
%   M: matrix to be normalised
% Output:
%   M: normalised matrix
%   norm2_rows: l2 norms of rows

norm2_rows = sqrt(sum(M.^2, 2));
if prod(norm2_rows==0)==1
    error('The matrix has a null row');
end
M = M ./ repmat(norm2_rows, 1, size(M, 2));

end